delta_decoder.c File Reference

Delta filter decoder. More...

`#include "delta_decoder.h"`
`#include "delta_private.h"`

## Functions

static void | decode_buffer (lzma_delta_coder *coder, uint8_t *buffer, size_t size)
static lzma_ret | delta_decode (void *coder_ptr, const lzma_allocator *allocator, const uint8_t *restrict in, size_t *restrict in_pos, size_t in_size, uint8_t *restrict out, size_t *restrict out_pos, size_t out_size, lzma_action action)
lzma_ret | lzma_delta_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_delta_props_decode (void **options, const lzma_allocator *allocator, const uint8_t *props, size_t props_size)

## Detailed Description

Delta filter decoder.